zenilib: zenilib/jni/external/freetype2/src/cff/cffobjs.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
cffobjs.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_CALC_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_ERRORS_H>`
`#include <FT_TRUETYPE_IDS_H>`
`#include <FT_TRUETYPE_TAGS_H>`
`#include <FT_INTERNAL_SFNT_H>`
`#include "cffobjs.h"`
`#include "cffload.h"`
`#include "cffcmap.h"`
`#include "cfferrs.h"`
`#include "cffpic.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_cffobjs

## Functions

| cff_driver_done (FT_Module module)
| cff_driver_init (FT_Module module)
| cff_face_done (FT_Face cffface)
| cff_face_init (FT_Stream stream, FT_Face cffface, FT_Int face_index, FT_Int num_params, FT_Parameter *params)
static void | cff_make_private_dict (CFF_SubFont subfont, PS_Private priv)
| cff_size_done (FT_Size cffsize)
static PSH_Globals_Funcs | cff_size_get_globals_funcs (CFF_Size size)
| cff_size_init (FT_Size cffsize)
| cff_size_request (FT_Size size, FT_Size_Request req)
| cff_slot_done (FT_GlyphSlot slot)
| cff_slot_init (FT_GlyphSlot slot)
static FT_String * | cff_strcpy (FT_Memory memory, const FT_String *source)
static void | remove_style (FT_String *family_name, const FT_String *style_name)
static void | remove_subset_prefix (FT_String *name)

## Macro Definition Documentation

#define FT_COMPONENT trace_cffobjs

Definition at line 41 of file cffobjs.c.

## Function Documentation

cff_driver_done | ( | FT_Module | module | ) |

Definition at line 1068 of file cffobjs.c.

References FT_UNUSED.

cff_driver_init | ( | FT_Module | module | ) |

Definition at line 1059 of file cffobjs.c.

References FT_UNUSED.

cff_face_done | ( | FT_Face | cffface | ) |

Definition at line 1029 of file cffobjs.c.

References cff, cff_font_done(), FT_Generic_::data, SFNT_Interface_::done_face, TT_FaceRec_::extra, FT_FREE, if(), and TT_FaceRec_::sfnt.

cff_face_init | ( | FT_Stream | stream,
|  | FT_Face | cffface,
|  | FT_Int | face_index,
|  | FT_Int | num_params,
|  | FT_Parameter * | params
| ) |  |

Definition at line 478 of file cffobjs.c.

References cff, cff_font_load(), cff_index_get_name(), cff_index_get_sid_string(), cff_strcpy(), CFF_FontRec_::charset, CFF_FontRec_::charstrings_index, CFF_FontRecDictRec_::cid_font_name, CFF_FontRecDictRec_::cid_registry, cmap, CFF_EncodingRec_::count, FT_Generic_::data, CFF_FontRec_::encoding, FT_CharMapRec_::encoding, FT_CharMapRec_::encoding_id, error, TT_FaceRec_::extra, FT_CharMapRec_::face, family_name, CFF_FontRecDictRec_::family_name, CFF_FontRecDictRec_::font_bbox, CFF_SubFontRec_::font_dict, CFF_FontRecDictRec_::font_matrix, CFF_FontRecDictRec_::font_offset, TT_FaceRec_::format_tag, FT_ABS, FT_Bool, FT_CFF_CMAP_ENCODING_CLASS_REC_GET, FT_CFF_CMAP_UNICODE_CLASS_REC_GET, FT_CMap_New(), FT_DivFix(), FT_Err_Ok, FT_ERROR, FT_FACE_FIND_GLOBAL_SERVICE, FT_FACE_FLAG_CID_KEYED, FT_FACE_FLAG_FIXED_WIDTH, FT_FACE_FLAG_GLYPH_NAMES, FT_FACE_FLAG_HINTER, FT_FACE_FLAG_HORIZONTAL, FT_FACE_FLAG_KERNING, FT_FACE_FLAG_SCALABLE, FT_FACE_FLAG_SFNT, FT_Get_Module_Interface(), FT_Matrix_Multiply_Scaled(), FT_MAX_CHARMAP_CACHEABLE, FT_MIN, FT_MulDiv(), FT_NEW, ft_strcmp, FT_STREAM_SEEK, ft_strncmp, FT_STYLE_FLAG_BOLD, FT_STYLE_FLAG_ITALIC, FT_TRACE2, FT_TRACE4, FT_Vector_Transform_Scaled(), CFF_FontRecDictRec_::full_name, TT_FaceRec_::goto_table, CFF_FontRecDictRec_::has_font_matrix, i, idx, if(), SFNT_Interface_::init_face, CFF_FontRecDictRec_::is_fixed_pitch, CFF_FontRecDictRec_::italic_angle, library, SFNT_Interface_::load_cmap, SFNT_Interface_::load_face, CFF_CharsetRec_::max_cid, NULL, CFF_FontRec_::num_faces, CFF_FontRec_::num_glyphs, CFF_FontRec_::num_strings, CFF_FontRec_::num_subfonts, CFF_EncodingRec_::offset, FT_CharMapRec_::platform_id, CFF_FontRec_::pshinter, CFF_FontRec_::psnames, remove_style(), remove_subset_prefix(), TT_FaceRec_::root, CFF_FontRec_::subfonts, CFF_FontRec_::top_font, TT_ADOBE_ID_CUSTOM, TT_ADOBE_ID_EXPERT, TT_ADOBE_ID_STANDARD, TT_MS_ID_UNICODE_CS, TT_PLATFORM_ADOBE, TT_PLATFORM_APPLE_UNICODE, TT_PLATFORM_MICROSOFT, TTAG_CFF, TTAG_head, TTAG_OTTO, CFF_FontRecDictRec_::underline_position, CFF_FontRecDictRec_::underline_thickness, CFF_FontRecDictRec_::units_per_em, FT_FaceRec_::units_per_EM, CFF_FontRecDictRec_::weight, FT_Vector_::x, FT_BBox_::xMax, FT_BBox_::xMin, FT_Matrix_::xx, FT_Matrix_::xy, FT_Vector_::y, FT_BBox_::yMax, FT_BBox_::yMin, FT_Matrix_::yx, and FT_Matrix_::yy.

static void cff_make_private_dict | ( | CFF_SubFont | subfont,
|  | PS_Private | priv
| ) |  |

static

Definition at line 106 of file cffobjs.c.

References PS_PrivateRec_::blue_fuzz, CFF_PrivateRec_::blue_fuzz, PS_PrivateRec_::blue_scale, CFF_PrivateRec_::blue_scale, PS_PrivateRec_::blue_shift, CFF_PrivateRec_::blue_shift, PS_PrivateRec_::blue_values, CFF_PrivateRec_::blue_values, PS_PrivateRec_::family_blues, CFF_PrivateRec_::family_blues, PS_PrivateRec_::family_other_blues, CFF_PrivateRec_::family_other_blues, PS_PrivateRec_::force_bold, CFF_PrivateRec_::force_bold, FT_MEM_ZERO, PS_PrivateRec_::language_group, CFF_PrivateRec_::language_group, PS_PrivateRec_::lenIV, CFF_PrivateRec_::lenIV, PS_PrivateRec_::num_blue_values, CFF_PrivateRec_::num_blue_values, PS_PrivateRec_::num_family_blues, CFF_PrivateRec_::num_family_blues, PS_PrivateRec_::num_family_other_blues, CFF_PrivateRec_::num_family_other_blues, PS_PrivateRec_::num_other_blues, CFF_PrivateRec_::num_other_blues, PS_PrivateRec_::num_snap_heights, CFF_PrivateRec_::num_snap_heights, PS_PrivateRec_::num_snap_widths, CFF_PrivateRec_::num_snap_widths, PS_PrivateRec_::other_blues, CFF_PrivateRec_::other_blues, CFF_SubFontRec_::private_dict, PS_PrivateRec_::snap_heights, CFF_PrivateRec_::snap_heights, PS_PrivateRec_::snap_widths, CFF_PrivateRec_::snap_widths, PS_PrivateRec_::standard_height, CFF_PrivateRec_::standard_height, PS_PrivateRec_::standard_width, and CFF_PrivateRec_::standard_width.

Referenced by cff_size_init().

cff_size_done | ( | FT_Size | cffsize | ) |

Definition at line 72 of file cffobjs.c.

References cff_size_get_globals_funcs(), FT_Generic_::data, PSH_Globals_FuncsRec_::destroy, TT_FaceRec_::extra, FT_SizeRec_::face, i, if(), and CFF_SizeRec_::root.

static PSH_Globals_Funcs cff_size_get_globals_funcs | ( | CFF_Size | size | ) |

static

Definition at line 55 of file cffobjs.c.

References FT_Generic_::data, FT_FaceRec_::driver, TT_FaceRec_::extra, FT_SizeRec_::face, FT_Get_Module(), PSHinter_Interface_::get_globals_funcs, FT_ModuleRec_::library, CFF_SizeRec_::root, and FT_DriverRec_::root.

Referenced by cff_size_done(), cff_size_init(), and cff_size_request().

cff_size_init | ( | FT_Size | cffsize | ) |

Definition at line 153 of file cffobjs.c.

References cff_make_private_dict(), cff_size_get_globals_funcs(), PSH_Globals_FuncsRec_::create, FT_Generic_::data, error, TT_FaceRec_::extra, FT_NEW, i, NULL, and CFF_SizeRec_::strike_index.

cff_size_request | ( | FT_Size | size,
|  | FT_Size_Request | req
| ) |  |

Definition at line 263 of file cffobjs.c.

References cff_size_get_globals_funcs(), FT_Generic_::data, TT_FaceRec_::extra, CFF_SubFontRec_::font_dict, FT_HAS_FIXED_SIZES, FT_MulDiv(), FT_Pos, FT_Request_Metrics(), i, PSH_Globals_FuncsRec_::set_scale, TT_FaceRec_::sfnt, CFF_SizeRec_::strike_index, and CFF_FontRecDictRec_::units_per_em.

cff_slot_done | ( | FT_GlyphSlot | slot | ) |

Definition at line 339 of file cffobjs.c.

cff_slot_init | ( | FT_GlyphSlot | slot | ) |

Definition at line 346 of file cffobjs.c.

References FT_Generic_::data, TT_FaceRec_::extra, FT_Get_Module(), and PSHinter_Interface_::get_t2_funcs.

static FT_String* cff_strcpy | ( | FT_Memory | memory,
|  | const FT_String * | source
| ) |  |

static

Definition at line 381 of file cffobjs.c.

References error, FT_STRDUP, and FT_UNUSED.

Referenced by cff_face_init().

static void remove_style | ( | FT_String * | family_name,
|  | const FT_String * | style_name
| ) |  |

static

Definition at line 435 of file cffobjs.c.

References idx.

Referenced by cff_face_init().

static void remove_subset_prefix | ( | FT_String * | name | ) |

static

Definition at line 401 of file cffobjs.c.

References FT_Bool, and idx.

Referenced by cff_face_init().